dtappintegrate(user cmd)

NAME
dtappintegrate — integrate applications into the XCDE

SYNOPSIS

dtappintegrate [-s application_root] [-t target_path] [-l locale] [-u] [-?]

DESCRIPTION

The dtappintegrate utility integrates applications into XCDE. Application installation scripts should invoke dtappintegrate as the last step before exiting. The dtappintegrate utility must be invoked with root user authority.

When dtappintegrate is invoked with no target_path specified, it creates symbolic links to the application's XCDE configuration files under the following default XCDE system locations:

/usr/pkg/etc/dt/appconfig/types/&<locale>
    Contains symbolic links to the application action and datatype files

/usr/pkg/etc/dt/appconfig/appmanager/&<locale>
    Contains symbolic links to the application group subdirectory

/usr/pkg/etc/dt/appconfig/help/&<locale>
    Contains symbolic links to the application help files

/usr/pkg/etc/dt/appconfig/icons/&<locale>
    Contains symbolic links to the application icons

OPTIONS

The following options are available:

-s application_root
    Integrate the application files that are located under application_root. The application_root is the top directory under which all of an application's files are installed. The dtappintegrate utility looks for application XCDE configuration files in the following subdirectories, with all C locale subdirectories containing the application's default XCDE configuration files:

    &<application_root>/dt/appconfig/types/&<locale>
        Contains application action and datatype files

    &<application_root>/dt/appconfig/appmanager/&<locale>
        Contains application group files

    &<application_root>/dt/appconfig/icons/&<locale>
        Contains application icons

    &<application_root>/dt/appconfig/help/&<locale>
        Contains application help files

-t target_path
    Link the application XCDE configuration files to target_path rather than to the default XCDE system locations.

-l locale
    Integrate only the files found in the locale subdirectories. If this option is not specified, all of the application's XCDE configuration files are integrated.

-u  Destroy the symbolic links previously created by dtappintegrate. If -l is specified with the -u option, only the symbolic links to the XCDE configuration files in the specified locale subdirectories are destroyed.

-?  Write a help message to standard output that describes the command syntax of dtappintegrate and exit.

OPERANDS

None.

STDIN

Not used.

INPUT FILES

None.

ENVIRONMENT VARIABLES

None.

RESOURCES

None.

ASYNCHRONOUS EVENTS

The dtappintegrate utility takes the standard action for all signals.

STDOUT

When no option or the -? option is used, dtappintegrate writes to standard output a usage message.

During execution, dtappintegrate writes confirmation messages to standard output.

STDERR

Used only for diagnostic messages.

OUTPUT FILES

The dtappintegrate utility creates the symbolic links to the application's XCDE configuration files.

During execution, dtappintegrate writes to the text file, /tmp/dtappint.log, output from the underlying system commands it invokes.

EXTENDED DESCRIPTION

None.

EXIT STATUS

The following exit values are returned:

0   Successful completion.

2   Help message displayed.

3   Not invoked with root user authority.

4   Invalid option.

CONSEQUENCE OF ERRORS

Default.

APPLICATION USAGE

None.

EXAMPLES

None.

SEE ALSO

None.